Subject: Re: Again about physical disks.
From: [email-masked] (Mikey)
To: Serguei DACHIAN <[email-masked]>, [email-masked]
Date: Tue, 23 Mar 1999 22:31:58 GMT

An ext2 driver has already been written
and compiled for win9x.

The code is in fsdext2.zip and fsdext2_src.zip,
and is (I believe) all 32 bit.
don't remember the URL offhand, but you can archie for them.
vxd's are 32 bit aren't they? at least he compiles
the whole thing with cl.exe so it must be.

Now the only thing you need to do is figure out
how to compile a vxd using cygwin tools, because
all of the cygwin functions work fine with the ext2
mounted disks. I have been using them for a long time.
mount -b I:/man /usr/man;mount -b I:/info /usr/info ;^)

he didn't do it with cygwin, but the code itself is done
and works fine.

writing 16 bit code works fine(in assembler), 
except that you can't
reference memory, I think the only way is for 
all variables to be on the stack. see gas info.

On Tue, 23 Mar 1999 18:42:06 +0100, you wrote:

>> Why not get NT 8)
>Because it is expensive.
>
>> ( - or - Linux?!?!)
>I already have it ;-)
>
>
>> Personally, I think you're barking mad to even consider it.
>> How about setting up a lan and mounting the drive from linux via NFS?
>> This _is_ the nineties, after all...
>>
>Yes, surely all this would be much simpler, but what I am trying to do, is
>to write a Win9x application (using CygWin) capable of reading Ext2 Linux
>partition on a dual boot machine, so I DO need read physical disks under
>WIN9x. But finally I start thinking that CygWin is NOT (at least yet) a
>compiler of the choice for THIS purpose :-((
>
>> Well, not directly to the OS from cygwin functions; no...  Though,
>> of course you could always do the necessary hocus-pocus with assembler
>> and god-knows-what to make it 'werk'.
>>
>BTW, if ever some "crazy":-) carries out all this, as you say, "hocus-pocus
>with assembler and god-knows-what", whouldn't it be great to incorporate all
>this staff in CygWin dll, so that using cygwin compiler under Win9x one can
>just "fopen" a hard drive and "fread" from it, as on a normal UNIX/POSIX
>system, and finally that wheird problem about accessing disks from Win9x
>disappear???  Unfortunately, I think I don't have the required competences
>to became that "crazy" :-))).
>
>Regards,
>                Serguei.
>___________________________________________________________________________
>Serguei DACHIAN
>Laboratoire de Statistique et Processus,
>Universite du Maine, Av. Olivier Messiaen
>72085 Le Mans CEDEX 9, FRANCE
>Tel.   : +33 (0)2 43 83 37 18
>Fax.   : +33 (0)2 43 83 35 79
>E-mail : [email-masked]
>WWW    : http://www.univ-lemans.fr/sciences/statist/cvs/thesard.html#dachian

--
Want to unsubscribe from this list?
Send a message to [email-masked]